<?php
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$conn = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if ($conn->connect_errno) {
    echo "db connection error: " . $conn->connect_error;
    exit();
}

// Initialize device details to empty values
$device_id = "";
$name = "";
$price = "";
$manufacturer = "";
$system = "";
$type = "";
$img_url = "";

// Check if the device ID is provided in the URL
if (isset($_GET['id'])) {
    // Get the device ID from the query parameters
    $device_id = $_GET['id'];

    // Fetch device details from the database
    $sql = "SELECT d.name, d.price, m.manufacturer, s.system, t.type, d.img_url
            FROM devices d
            JOIN manufacturers m ON d.manufacturer_id = m.manufacturer_id
            JOIN systems s ON d.system_id = s.system_id
            JOIN types t ON d.type_id = t.type_id
            WHERE d.device_id = ?";

    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $device_id);
    $stmt->execute();
    $result = $stmt->get_result();

    // Check for SQL query errors
    if (!$result) {
        echo "SQL query error: " . $conn->error;
        exit();
    }

    // Check if the device was found
    if ($result->num_rows === 1) {
        // Fetch device details
        $row = $result->fetch_assoc();

        // Assign values to variables
        $name = $row['name'];
        $price = $row['price'];
        $manufacturer = $row['manufacturer'];
        $system = $row['system'];
        $type = $row['type'];
        $img_url = $row['img_url'];
    }
} else {
    // Handle the case when the device ID is missing
    echo "Error: Missing device ID.";
    exit();
}

// Close the database connection
$conn->close();
?>
<!DOCTYPE html>
<html>

<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width: 800px;
            margin: auto;
        }

        h1 {
            margin: auto;
            text-align: center;
            background-color: #900;
            color: #FC0;
            height: 60px;
            line-height: 60px;
        }

        .details {
            border: 1px solid #990000;
            width: 600px;
            margin: auto;
            margin-top: 20px;
            padding: 20px;
        }

        table {
            height: 300px;
            width: 100%;
        }

        table img {
            height: 300px;
        }

        img {
            width: 300px;
        }

        .label {
            text-align: right;
            width: 20%;
            padding: 3px 10px 3px;
        }

        .data {
            width: 40%;
        }

        .input>input, .input>select {
            width: 100%;
        }

        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Mobile Device Database: Details Page</h1>
        <div class="nav-link">
            <a href="search.php"><< Back to Search Page</a>
        </div>

        <div class="details">
            <table>
                <tr>
                    <td rowspan="5" class="img">
                        <?php
                        // Display the device image from "img_url" if it exists, or use a default image
                        if (!empty($img_url)) {
                            echo '<img src="' . $img_url . '" class="img">';
                        } else {
                            echo '<img src="default_image.jpg" class="img">';
                        }
                        ?>
                    </td>
                    <td class="label">Name:</td>
                    <td class="data"><strong><em><?php echo $name; ?></em></strong></td>
                </tr>
                <tr>
                    <td class="label">Price:</td>
                    <td><strong><?php echo $price; ?></strong></td>
                </tr>
                <tr>
                    <td class="label">Manufacturer:</td>
                    <td><?php echo $manufacturer; ?></td>
                </tr>
                <tr>
                    <td class="label">System:</td>
                    <td><?php echo $system; ?></td>
                </tr>
                <tr>
                    <td class="label">Type:</td>
                    <td><?php echo $type; ?></td>
                </tr>
            </table>
        </div>
    </div>
</body>

</html>
