<?php
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$conn = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

// Check for connection errors
if ($conn->connect_errno) {
    echo "db connection error: " . $conn->connect_error;
    exit();
}

// Check if expected data is missing
if (empty($_GET['id'])) {
    echo "Error: Missing device ID.";
    exit();
}

// Get the device ID from the query parameters
$device_id = $_GET['id'];

// Fetch device details from the database
$sql = "SELECT d.name, d.price, m.manufacturer, s.system, t.type
        FROM devices d
        JOIN manufacturers m ON d.manufacturer_id = m.manufacturer_id
        JOIN systems s ON d.system_id = s.system_id
        JOIN types t ON d.type_id = t.type_id
        WHERE d.device_id = ?";

$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $device_id);
$stmt->execute();
$result = $stmt->get_result();

// Check for SQL query errors
if (!$result) {
    echo "SQL query error: " . $conn->error;
    exit();
}

// Check if the device was found
if ($result->num_rows === 0) {
    echo "Error: Device not found.";
    exit();
}

// Fetch device details
$row = $result->fetch_assoc();

// Close the database connection
$conn->close();
?>

<!DOCTYPE html>
<html>

<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width: 800px;
            margin: auto;
        }

        h1 {
            margin: auto;
            text-align: center;
            background-color: #900;
            color: #FC0;
            height: 60px;
            line-height: 60px;
        }

        .details {
            border: 1px solid #990000;
            width: 600px;
            margin: auto;
            margin-top: 20px;
            padding: 20px;
        }

        table {
            height: 300px;
            width: 100%;
        }

        table img {
            height: 300px;
        }

        img {
            width: 300px;
        }

        .label {
            text-align: right;
            width: 20%;
            padding: 3px 10px 3px;
        }

        .data {
            width: 40%;
        }

        .input>input, .input>select {
            width: 100%;
        }

        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Mobile Device Database: Details Page</h1>
        <div class="nav-link">
            <a href="examSearch.php"><< Back to Search Page</a>
        </div>

        <div class="details">
            <table>
                <tr>
                    <td rowspan="5" class="img">
                        <img src="https://image.shutterstock.com/image-vector/vector-sketch-illustration-human-hand-260nw-605728496.jpg" class="img">
                    </td>
                    <td class="label">Name:</td>
                    <td class="data"><strong><em><?php echo $row['name']; ?></em></strong></td>
                </tr>
                <tr>
                    <td class="label">Price:</td>
                    <td><strong><?php echo $row['price']; ?></strong></td>
                </tr>
                <tr>
                    <td class="label">Manufacturer:</td>
                    <td><?php echo $row['manufacturer']; ?></td>
                </tr>
                <tr>
                    <td class="label">System:</td>
                    <td><?php echo $row['system']; ?></td>
                </tr>
                <tr>
                    <td class="label">Type:</td>
                    <td><?php echo $row['type']; ?></td>
                </tr>
            </table>
        </div>
    </div>
</body>

</html>